package de.winniepat.citrus.managers;

public class ZoomManager {
    private static boolean zooming = false;
    private static double zoomMultiplier = 4.0;

    public static void setZooming(boolean value) { zooming = value; }
    public static boolean isZooming() { return zooming; }
    public static double getZoomMultiplier() { return zoomMultiplier; }

    public static void changeZoom(double amount) {
        zoomMultiplier = Math.max(1.0, Math.min(40.0, zoomMultiplier + amount));
    }
}